PHP Manual
Prev |  | Next

# XMLReader::open

(no version information, might be only in CVS)

XMLReader::open -- Set the URI containing the XML to parse

## Description

class XMLReader {
bool open ( string URI [, string encoding [, int options]] )
}

Set the URI containing the XML document to be parsed.

## Parameters

`URI`

  URI pointing to the document.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the XMLReader Options constants.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## ChangeLog

Version | Description
--- | ---
5.2.0 | `encoding` and `options` were added.

## See Also

XMLReader::XML
XMLReader::close

Prev | Home | Next
XMLReader::next | Up | XMLReader::read